#! /bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config usr/share/mailfromd/include/alias.mfi.new
config usr/share/mailfromd/include/blacklist.mf.new
config usr/share/mailfromd/include/db_alias.mf.new
config usr/share/mailfromd/include/error.mf.new
config usr/share/mailfromd/include/modsubj.mf.new
config usr/share/mailfromd/include/sender-filter.mf.new
config usr/share/mailfromd/include/smap_alias.mf.new
config usr/share/mailfromd/include/smaplookup.mf.new
config usr/share/mailfromd/include/socket_virtsrv.mf.new
config usr/share/mailfromd/include/virtsrv.mf.new
